kali linux下安装搜狗拼音输入法之完整方案(2018.4)

版权声明:本文属于Shavchen的原创文章,未经允许,禁止转载! https://blog.csdn.net/qq_38055050/article/details/79948475

Let's Go!

首先第一站来这里下载小狗输入法linux版的哦,接下来可以试着直接编译一下,如果成功的话我不禁要怀疑你是不是外星喵。

正常情况下是这样:

搜狗拼音输入法依赖于fctix,所以要安装一系列fctix的依赖包。现在附上2018.4最新的安装搜狗输入法要下载的依赖包。

担心麻烦的童鞋也可以把这里对应自己系统版本的依赖包都下载一个(一般是amd64),下面用shell命令批量下载

wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-libs-dev_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-libs_4.2.9.6-1_all.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-bin_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-data_4.2.9.6-1_all.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-modules_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-module-dbus_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-module-kimpanel_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-module-lua_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-module-x11_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx_4.2.9.6-1_all.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-tools_4.2.9.6-1_amd64.deb 
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-ui-classic_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-frontend-gtk2_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-frontend-gtk3_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-frontend-qt4_4.2.9.6-1_amd64.deb
wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-pinyin_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/fcitx-qw_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/gir1.2-fcitx-1.0_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/libfcitx-gclient1_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/libfcitx-utils0_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/libfcitx-qt0_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/libfcitx-config4_4.2.9.6-1_amd64.deb

wget -c http://http.kali.org/pool/main/f/fcitx/libfcitx-core0_4.2.9.6-1_amd64.deb

进入终端,新建fcitx.sh

vi fcitx.sh ,粘贴进去,如果没有安装增强功能的是不能粘贴的,有需要的伙伴可以参见我的那篇vbox使用手册,这里不做赘述。

运行./fcitx.sh

如果有些包下载错误,需要到官方手动下载:https://http.kali.org/pool/main/f/fcitx/

下载完成如图:

这是我们需要手动编译这些包,因为它们存在依赖关系,批量的话可能导致出错,检查起来更加麻烦。

大家可以按一下顺序来依次编译 :

 

然后不管安装什么都提示缺少依赖,而依赖包没有在官方站里找到,贴下图:

在这个网站最终找到:https://debian.pkgs.org/9/debian-main-amd64/libunistring0_0.9.6+really0.9.3-0.1_amd64.deb.html

这时候需要编译两个包,所幸在这个站里都有,

接下来继续编译试试;

建议大家可以这么搞;

接下来编译modules,报错,不拍贴下图;

按照提示需要安装3个依赖;

返回正题吧;成功安装modules

至此,module系列全部安装;

至此全部搞定

万事大吉。下面例行公事,移除ibus,虽然我也没安装,嘻嘻

诶,发现又缺少几个依赖,不怕,去刚才那个神站找找去;

准备好了开始编译吧;

欧克啦,感谢pkgs.org的无私收藏,哈哈哈

万事大吉,只待重启,嘻嘻

在所有工具里面找到fcitx配置,进去,配置一下;

 

 

ok,可以打开了;

移到第二位即可;

 

阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页